import type { Nullable } from '../../helpers/nullable';
import type { BuilderContent } from '../../types/builder-content';
export declare const getVariants: (content: Nullable<BuilderContent>) => import("../../types/builder-content").BuilderContentVariation[];
export declare const checkShouldRunVariants: ({ canTrack, content, }: {
    canTrack: Nullable<boolean>;
    content: Nullable<BuilderContent>;
}) => boolean;
type VariantData = {
    id: string;
    testRatio?: number;
};
export declare const getVariantsScriptString: (variants: VariantData[], contentId: string) => string;
export declare const getRenderContentScriptString: ({ parentContentId, contentId, }: {
    contentId: string;
    parentContentId: string;
}) => string;
export {};
